//
//  BleBase.h
//  BleWrapper
//
//  Created by etek on 18/8/28.
//  Copyright (c) 2018年 ETEK. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreBluetooth/CoreBluetooth.h>
#import "ScanInfo.h"
#import "BleDevice.h"
#import "DevData.h"
#import "BTInfo.h"

NSString *NEWDEVICENotification = @"MSG_NEWDEVICENotification";
NSString *UPDATEDEVICENotification = @"MSG_UPDATEDEVICENotification";
NSString *RECEIVEDATANotification = @"MSG_RECEIVEDATANotification";
NSString *WRITEDATAOKNotification = @"MSG_WRITEDATAOKNotification";
NSString *MACINFONotification = @"MSG_MACINFONotification";

#define TYPE_READ  1
#define TYPE_WRITE 2
#define TYPE_WRITE_WITHOUT 3

typedef enum _DEVSate {
    DEVStateNewDevice = 0,
    DEVStateConnettng,
    DEVStateConnected,
    DEVStateConnectFail,
    DEVStateDisconneced,
    DEVStateGetServiceFail,
    DEVStateGetCharaFail,
    DEVStateDeviceOk
}DEVSate;

@class BTInfo;

@interface BleBase : NSObject<CBCentralManagerDelegate,CBPeripheralDelegate>


- (Boolean) isScanning;
- (Boolean) connectBleDeviceById:(int)index;
- (Boolean) disconnectBleDeviceById:(int)index;
- (Boolean) sendDataToBleById:(int)index buffer:(Byte*)buffer lenght:(int)lenght;
- (int) getBTDeviceIndex:(CBPeripheral*)peri;
- (void) StartScan:(NSString*)service ;
- (void) StopScan;
- (void) setUserUuid:(NSString*)service readUuid:(NSString*)readUuid writeUuid:(NSString*)writeUuid;
- (NSMutableArray*) getBTDevArrays;
- (BTInfo*) getBTDeiceInfoByPer:(CBPeripheral*)peri;
-(BTInfo*)getBTDeiceInfo:(int)index;
@end
